[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#814310: marked as done (Debian Edu's /etc/lsb-release lacks (distro) version information)



Your message dated Thu, 11 Feb 2016 21:31:28 +0000
with message-id <20160211213128.Horde.YDV_0ja7X9gdgPqqg69Nn5q@mail.das-netzwerkteam.de>
and subject line Re: Bug#814310: Debian Edu's /etc/lsb-release lacks (distro) version information
has caused the Debian Bug report #814310,
regarding Debian Edu's /etc/lsb-release lacks (distro) version information
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
814310: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=814310
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: debian-edu-config
Severity: normal
Version: 1.818

The file etc/lsb-release lacks information as of now regarding what underlying Debian version is used.

Normally, I'd expect the file to report something similar like found in /etc/os-release of a Debian system.

Status quo:

"""
DISTRIB_DESCRIPTION="DebianEdu/Skolelinux"¬
"""

Suggestion (for jessie):

"""
DISTRIB_ID=Skolelinux
DISTRIB_RELEASE=8
DISTRIB_CODENAME=jessie
DISTRIB_DESCRIPTION="DebianEdu / Skolelinux (jessie)"
"""

Suggestion (for testing/unstable):

(1)

"""
DISTRIB_ID=Skolelinux
DISTRIB_RELEASE=9
DISTRIB_CODENAME=testing/unstable
DISTRIB_DESCRIPTION="DebianEdu / Skolelinux (testing/unstable)"
"""


This file requires to be update with every major release, of course.

Greets,
Mike
--

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de

Attachment: pgpUr2Gt2FEgh.pgp
Description: Digitale PGP-Signatur


--- End Message ---
--- Begin Message ---
Hi Petter,

On  Mi 10 Feb 2016 09:34:30 CET, Petter Reinholdtsen wrote:

[Mike Gabriel]
The file etc/lsb-release lacks information as of now regarding what
underlying Debian version is used.

It is not supposed to have it.  That file is only for the overrided
values, while the defaults should be left untouched.  Use 'lsb_release
-a' to get the other values.  This is the output on Debian Edu/Jessie:

  No LSB modules are available.
  Distributor ID: Debian
  Description:    DebianEdu/Skolelinux
  Release:        8.3
  Codename:       jessie

This file requires to be update with every major release, of course.

This is not needed, nor wanted.

--
Happy hacking
Petter Reinholdtsen

ah, interesting... Then I need to tease the guys developing ocsinventory, because that's where it is reported wrong.

I did not know about the lsb_release -a option, so that explains it all.

Thus, closing this bug.

Mike
--

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de

Attachment: pgpbYpNyiWpi_.pgp
Description: Digitale PGP-Signatur


--- End Message ---

Reply to: